[CentOS] cups & hp-toolbox

Robert Nichols rnicholsNOSPAM at comcast.net
Mon Mar 2 19:39:00 UTC 2009


Anne Wilson wrote:
> On Monday 02 March 2009 16:12:04 Roger Wells wrote:
>> Thanks for responding.
>> I guess I would be a little surprised to expect  a regression like that.
>> After all both CUPS and hp-toolbox are installed in CentOS 5.2 right out
>> of the box.
>> I also have an HP C6180 and I think that getting past this is necessary
>> before its scanner
>> will be recognized. At least the scanner is not recognized yet by the
>> CentOS Gnome "Scanner Tool"
>>
> It sounds to me as though this is an hplip problem.  The version in CentOS is 
> not the latest, and doesn't support recent printers out-of-the-box.  ISTR that 
> I had to grab the relevant ppd file from one of my other boxes (or the 
> Internet, of course) and feed that to CUPS, after which hplip could see my 
> printer and scanner.  (Mine is a PhotoSmart 7180).

According to the changelogs, support for the Photosmart C6100 series
first appeared in hplip version 1.6.9.  The latest version in the
CentOS updates repository is 1.6.7.  When I got my Photosmart C7180
I grabbed hplip-1.7.4a-3.fc6.i386.rpm from Fedora Core 6, and I've
been running with that ever since.

-- 
Bob Nichols     "NOSPAM" is really part of my email address.
                 Do NOT delete it.



More information about the CentOS mailing list